<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimersCommon: X:/kmTimerDefs.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmTimersCommon
   </div>
   <div id="projectbrief">kmTimersCommon library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_timer_defs_8h_source.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">X:/kmTimerDefs.h</div></div>
</div><!--header-->
<div class="contents">
<a href="km_timer_defs_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/*</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">This is an independent project of an individual developer. Dear PVS-Studio, please check it.</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">PVS-Studio Static Code Analyzer for C, C++, C#, and Java: http://www.viva64.com</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">*/</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="preprocessor">#ifndef KM_TIMERDEFS_H_</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="preprocessor">#define KM_TIMERDEFS_H_</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span><span class="preprocessor">#include &quot;../kmCommon/kmCommon.h&quot;</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span><span class="preprocessor">#include &quot;<a class="code" href="km_timer0_defs_8h.html">kmTimer0Defs.h</a>&quot;</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span><span class="preprocessor">#include &quot;<a class="code" href="km_timer1_defs_8h.html">kmTimer1Defs.h</a>&quot;</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span><span class="preprocessor">#include &quot;<a class="code" href="km_timer2_defs_8h.html">kmTimer2Defs.h</a>&quot;</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span><span class="preprocessor">#include &quot;<a class="code" href="km_timer3_defs_8h.html">kmTimer3Defs.h</a>&quot;</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span><span class="preprocessor">#include &quot;<a class="code" href="km_timer4_defs_8h.html">kmTimer4Defs.h</a>&quot;</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="preprocessor">#include &quot;<a class="code" href="km_timer5_defs_8h.html">kmTimer5Defs.h</a>&quot;</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="km_timer_defs_8h.html#ac3e5a65645a34d1b863e5d5edb18cda3">   54</a></span><span class="preprocessor">#define KM_TCC_TOP_1        0xFFu</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="km_timer_defs_8h.html#a4d9b8fa48709a46ab6b08dae9448078f">   56</a></span><span class="preprocessor">#define KM_TCC_TOP_2        0x0FFFu</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="km_timer_defs_8h.html#addcf737b04dbddb61c2746df1d48b64f">   58</a></span><span class="preprocessor">#define KM_TCC_TOP_3        0xFFFFu</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="km_timer_defs_8h.html#a26a06431ee77d5cb04cc2fe62c3e8ecd">   60</a></span><span class="preprocessor">#define KM_TCC_TOP_4        0x03FFu</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="km_timer_defs_8h.html#a04f810cdda0a757c02bfe3bfdc3d43b1">   62</a></span><span class="preprocessor">#define KM_TCC_TOP_5        0x01FFu</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="km_timer_defs_8h.html#a787e6777dd5a2b4e498d603d30c23bf9">   65</a></span><span class="preprocessor">#define KM_TCC_MID_1        0x7Fu</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="km_timer_defs_8h.html#ad8844e7d2a786ab7f1be59ca36475010">   67</a></span><span class="preprocessor">#define KM_TCC_MID_2        0x07FFu</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="km_timer_defs_8h.html#a1c5d0cb0398e739d6de912f0be341688">   69</a></span><span class="preprocessor">#define KM_TCC_MID_3        0x7FFFu</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="km_timer_defs_8h.html#ab0e1862b01501d9b7ff623564c76f702">   71</a></span><span class="preprocessor">#define KM_TCC_MID_4        0x01FFu</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="km_timer_defs_8h.html#a0322f1ef378611f962410448f69784ef">   73</a></span><span class="preprocessor">#define KM_TCC_MID_5        0x00FFu</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="km_timer_defs_8h.html#a6a4c8cf84fb8cc96685de933f429df9c">   76</a></span><span class="preprocessor">#define KM_TCC_BOTOM        0x00u</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>}</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span><span class="preprocessor">#endif </span><span class="comment">/* KM_TIMERDEFS_H_ */</span><span class="preprocessor"></span></div>
<div class="ttc" id="akm_timer0_defs_8h_html"><div class="ttname"><a href="km_timer0_defs_8h.html">kmTimer0Defs.h</a></div><div class="ttdoc">Common definitions for Timers. kmTimer0Defs.h.</div></div>
<div class="ttc" id="akm_timer1_defs_8h_html"><div class="ttname"><a href="km_timer1_defs_8h.html">kmTimer1Defs.h</a></div><div class="ttdoc">Common definitions for Timers. kmTimer1Defs.h.</div></div>
<div class="ttc" id="akm_timer2_defs_8h_html"><div class="ttname"><a href="km_timer2_defs_8h.html">kmTimer2Defs.h</a></div><div class="ttdoc">Common definitions for Timers. kmTimer2Defs.h.</div></div>
<div class="ttc" id="akm_timer3_defs_8h_html"><div class="ttname"><a href="km_timer3_defs_8h.html">kmTimer3Defs.h</a></div><div class="ttdoc">Common definitions for Timers. kmTimer3Defs.h.</div></div>
<div class="ttc" id="akm_timer4_defs_8h_html"><div class="ttname"><a href="km_timer4_defs_8h.html">kmTimer4Defs.h</a></div></div>
<div class="ttc" id="akm_timer5_defs_8h_html"><div class="ttname"><a href="km_timer5_defs_8h.html">kmTimer5Defs.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_timer_defs_8h.html">kmTimerDefs.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
